Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jprofiler.api.agent.probe
Class DataType

    java.lang.Object
      com.jprofiler.api.agent.probe.DataType

    public class DataType

extends java.lang.Object

Describes the type of additional data columns for events and control objects.

See Also:
  `ProbeMetaData.addAdditionalData(String, DataType)`, `ProbeMetaData.addAdditionalControlObjectData(String, DataType, boolean)`

Field Summary
`static DataType` | `BOOLEAN` The data consists of instances of `java.lang.Boolean`.
`static DataType` | `DOUBLE` The data consists of instances of `java.lang.Double`.
`static DataType` | `FLOAT` The data consists of instances of `java.lang.Float`.
`static DataType` | `INT` The data consists of instances of `java.lang.Integer`.
`static DataType` | `INTERNED_STRING` The data consists of interned strings.
`static DataType` | `LONG` The data consists of instances of `java.lang.Long`.
`static DataType` | `OBJECT` The data consists of arbitrary objects.
`static DataType` | `STRING` The data consists of strings.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OBJECT

    public static final DataType OBJECT

  The data consists of arbitrary objects. The JProfiler GUI displays them by calling their `toString()` methods.

### STRING

    public static final DataType STRING

  The data consists of strings.

### INTERNED_STRING

    public static final DataType INTERNED_STRING

  The data consists of interned strings. In this case, the agent can handle them more efficiently.

### BOOLEAN

    public static final DataType BOOLEAN

  The data consists of instances of `java.lang.Boolean`.

### INT

    public static final DataType INT

  The data consists of instances of `java.lang.Integer`.

### LONG

    public static final DataType LONG

  The data consists of instances of `java.lang.Long`.

### FLOAT

    public static final DataType FLOAT

  The data consists of instances of `java.lang.Float`.

### DOUBLE

    public static final DataType DOUBLE

  The data consists of instances of `java.lang.Double`.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD